Subject: Re: RFC: Enable delayed responses to Git clean/smudge filter requests

From: Eric Wong <[email-masked]>
Date: Tue, 15 Nov 2016 18:27:17 +0000

Lars Schneider <[email-masked]> wrote:
> > On 15 Nov 2016, at 02:03, Eric Wong <[email-masked]> wrote:
> 
> > Anyways, I'll plan on doing something similar (in Perl) with the
> > synchronous parts of public-inbox which relies on "cat-file --batch"
> > at some point... (my rotational disks are sloooooooow :<)
> 
> That sounds interesting! What changes to you have in mind for 
> "cat-file --batch"? We are thinking about performance improvements
> in that area, too. I would be happy to help reviewing your patches!

I'm not touching "cat-file --batch" itself, just the Perl code
that uses it.  (still trying my best to avoid working on C or
any compiled languages);

There'll probably be a Perl queue mechanism so there's still
only one cat-file process running per-inbox to avoid overloading
on seeks; but the Perl daemons should be able to handle network
duties and other in-memory operations while it waits for
cat-file.